# Adds the ability to attest to the authorized company representative for Accounts v2 ## What’s new You can now record the attestation of an authorized company representative for a Stripe account by specifying these parameters for [identity.attestations](https://docs.stripe.com/api/v2/core/accounts/object.md?api-version=2025-10-27.preview#v2_account_object-identity-attestations) when using [Accounts v2](https://docs.stripe.com/api/accounts/object.md?api-version=2025-10-29.clover): - [representative_declaration.ip](https://docs.stripe.com/api/v2/core/accounts/object.md?api-version=2025-10-29.preview#v2_account_object-identity-attestations-representative_declaration-ip) for the originating IP address of the attestation - [representative_declaration.date](https://docs.stripe.com/api/v2/core/accounts/object.md?api-version=2025-10-29.preview#v2_account_object-identity-attestations-representative_declaration-date) for the date of the attestation - [representative_declaration.user_agent](https://docs.stripe.com/api/v2/core/accounts/object.md?api-version=2025-10-29.preview#v2_account_object-identity-attestations-representative_declaration-user_agent) for the user agent used for the attestation ## Impact A representative is the singular person designated by a business to manage their Stripe account. They are identified by setting the [identity.individual.relationship.representative](https://docs.stripe.com/api/v2/core/accounts/object.md?api-version=2025-10-29.preview#v2_account_object-identity-individual-relationship-representative) field. In certain countries, Stripe is required to collect and verify that the representative’s information matches government records. When an account is created, the representative should be set to whoever is responsible for managing the account. Accounts that require the attestation of a company’s representative will see `identity.attestations.representatives_declaration.ip` and `identity.attestations.representatives_declaration.date` in their [requirements](https://docs.stripe.com/api/v2/core/accounts/object.md?api-version=2025-10-29.preview#v2_account_object-requirements) field. ```curl curl -X POST https://api.stripe.com/v2/core/accounts/{{CONNECTED_STRIPE_ACCOUNT_ID}}/ \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-02-25.preview" \ --json '{ "include": [ "identity" ], "identity": { "attestations": { "representative_declaration": { "ip": "67.180.161.149", "date": 1737936000, "user_agent": "Mozilla/5.0 (platform; rv:gecko-version) Gecko/gecko-trail Firefox/firefox-version" } } } }' ``` ## Changes #### REST API #### Ruby #### Python #### PHP #### Java #### Node.js #### Go #### .NET ## Upgrade #### REST API 1. [View your current API version](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench) in Workbench. 1. If you use an SDK, upgrade to the corresponding SDK version for this API version. - If you don’t use an SDK, update your [API requests](https://docs.stripe.com/api/versioning.md) to include `Stripe-Version: 2025-10-29.preview` 1. Upgrade the API version used for [webhook endpoints](https://docs.stripe.com/webhooks/versioning.md). 1. [Test your integration](https://docs.stripe.com/testing.md) against the new version. 1. If you use Connect, [test your Connect integration](https://docs.stripe.com/connect/testing.md). 1. In Workbench, [perform the upgrade](https://docs.stripe.com/upgrades.md#perform-the-upgrade). You can [roll back the version](https://docs.stripe.com/upgrades.md#roll-back-your-api-version) for 72 hours. Learn more about [Stripe API upgrades](https://docs.stripe.com/upgrades.md). #### Ruby 1. [View your current API version](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench) in Workbench. 1. Upgrade your Ruby SDK to [v17.2.0-beta.1](https://github.com/stripe/stripe-ruby/releases/tag/v17.2.0-beta.1) 1. Upgrade the API version used for [webhook endpoints](https://docs.stripe.com/webhooks/versioning.md). 1. [Test your integration](https://docs.stripe.com/testing.md) against the new version. 1. If you use Connect, [test your Connect integration](https://docs.stripe.com/connect/testing.md). 1. In Workbench, [perform the upgrade](https://docs.stripe.com/upgrades.md#perform-the-upgrade). You can [roll back the version](https://docs.stripe.com/upgrades.md#roll-back-your-api-version) for 72 hours. Learn more about [Stripe API upgrades](https://docs.stripe.com/upgrades.md). #### Python 1. [View your current API version](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench) in Workbench. 1. Upgrade your Python SDK to [v13.2.0b1](https://github.com/stripe/stripe-python/releases/tag/v13.2.0b1) 1. Upgrade the API version used for [webhook endpoints](https://docs.stripe.com/webhooks/versioning.md). 1. [Test your integration](https://docs.stripe.com/testing.md) against the new version. 1. If you use Connect, [test your Connect integration](https://docs.stripe.com/connect/testing.md). 1. In Workbench, [perform the upgrade](https://docs.stripe.com/upgrades.md#perform-the-upgrade). You can [roll back the version](https://docs.stripe.com/upgrades.md#roll-back-your-api-version) for 72 hours. Learn more about [Stripe API upgrades](https://docs.stripe.com/upgrades.md). #### PHP 1. [View your current API version](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench) in Workbench. 1. Upgrade your PHP SDK to [v18.2.0-beta.1](https://github.com/stripe/stripe-php/releases/tag/v18.2.0-beta.1) 1. Upgrade the API version used for [webhook endpoints](https://docs.stripe.com/webhooks/versioning.md). 1. [Test your integration](https://docs.stripe.com/testing.md) against the new version. 1. If you use Connect, [test your Connect integration](https://docs.stripe.com/connect/testing.md). 1. In Workbench, [perform the upgrade](https://docs.stripe.com/upgrades.md#perform-the-upgrade). You can [roll back the version](https://docs.stripe.com/upgrades.md#roll-back-your-api-version) for 72 hours. Learn more about [Stripe API upgrades](https://docs.stripe.com/upgrades.md). #### Java 1. [View your current API version](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench) in Workbench. 1. Upgrade your Java SDK to [v30.2.0-beta.1](https://github.com/stripe/stripe-java/releases/tag/v30.2.0-beta.1) 1. Upgrade the API version used for [webhook endpoints](https://docs.stripe.com/webhooks/versioning.md). 1. [Test your integration](https://docs.stripe.com/testing.md) against the new version. 1. If you use Connect, [test your Connect integration](https://docs.stripe.com/connect/testing.md). 1. In Workbench, [perform the upgrade](https://docs.stripe.com/upgrades.md#perform-the-upgrade). You can [roll back the version](https://docs.stripe.com/upgrades.md#roll-back-your-api-version) for 72 hours. Learn more about [Stripe API upgrades](https://docs.stripe.com/upgrades.md). #### Node.js 1. [View your current API version](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench) in Workbench. 1. Upgrade your Node SDK to [v19.3.0-beta.1](https://github.com/stripe/stripe-node/releases/tag/v19.3.0-beta.1) 1. Upgrade the API version used for [webhook endpoints](https://docs.stripe.com/webhooks/versioning.md). 1. [Test your integration](https://docs.stripe.com/testing.md) against the new version. 1. If you use Connect, [test your Connect integration](https://docs.stripe.com/connect/testing.md). 1. In Workbench, [perform the upgrade](https://docs.stripe.com/upgrades.md#perform-the-upgrade). You can [roll back the version](https://docs.stripe.com/upgrades.md#roll-back-your-api-version) for 72 hours. Learn more about [Stripe API upgrades](https://docs.stripe.com/upgrades.md). #### Go 1. [View your current API version](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench) in Workbench. 1. Upgrade your Go SDK to [v83.1.0-beta.3](https://github.com/stripe/stripe-go/releases/tag/v83.1.0-beta.3) 1. Upgrade the API version used for [webhook endpoints](https://docs.stripe.com/webhooks/versioning.md). 1. [Test your integration](https://docs.stripe.com/testing.md) against the new version. 1. If you use Connect, [test your Connect integration](https://docs.stripe.com/connect/testing.md). 1. In Workbench, [perform the upgrade](https://docs.stripe.com/upgrades.md#perform-the-upgrade). You can [roll back the version](https://docs.stripe.com/upgrades.md#roll-back-your-api-version) for 72 hours. Learn more about [Stripe API upgrades](https://docs.stripe.com/upgrades.md). #### .NET 1. [View your current API version](https://docs.stripe.com/upgrades.md#view-your-api-version-and-the-latest-available-upgrade-in-workbench) in Workbench. 1. Upgrade your .NET SDK to [v49.2.0-beta.1](https://github.com/stripe/stripe-dotnet/releases/tag/v49.2.0-beta.1) 1. Upgrade the API version used for [webhook endpoints](https://docs.stripe.com/webhooks/versioning.md). 1. [Test your integration](https://docs.stripe.com/testing.md) against the new version. 1. If you use Connect, [test your Connect integration](https://docs.stripe.com/connect/testing.md). 1. In Workbench, [perform the upgrade](https://docs.stripe.com/upgrades.md#perform-the-upgrade). You can [roll back the version](https://docs.stripe.com/upgrades.md#roll-back-your-api-version) for 72 hours. Learn more about [Stripe API upgrades](https://docs.stripe.com/upgrades.md). ## Related changes - [Adds new error code for missing verification data from connected accounts](https://docs.stripe.com/changelog/clover/2025-10-29/accounts-verification-data-error.md) - [Adds support for using Accounts v2 payment method billing details for Stripe Tax location](https://docs.stripe.com/changelog/clover/2025-10-29/payment-method-location-source.md) - [Adds support for retrieving and listing closed v2 Accounts](https://docs.stripe.com/changelog/clover/2025-10-29/return-closed-v2-accounts.md)